## net.i2p.stat
Class PersistenceHelper

    java.lang.Object
      net.i2p.stat.PersistenceHelper

     class PersistenceHelper

extends java.lang.Object

object orientation gives you hairy palms.

Constructor Summary
`PersistenceHelper()`

Method Summary
`static void` `add(java.lang.StringBuffer buf, java.lang.String prefix, java.lang.String name, java.lang.String description, double value)`
`static void` `add(java.lang.StringBuffer buf, java.lang.String prefix, java.lang.String name, java.lang.String description, long value)`
`static double` `getDouble(java.util.Properties props, java.lang.String prefix, java.lang.String name)`
`static long` `getLong(java.util.Properties props, java.lang.String prefix, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper

    PersistenceHelper()

Method Detail

### add

    public static final void add(java.lang.StringBuffer buf,
                                 java.lang.String prefix,
                                 java.lang.String name,
                                 java.lang.String description,
                                 double value)

### add

    public static final void add(java.lang.StringBuffer buf,
                                 java.lang.String prefix,
                                 java.lang.String name,
                                 java.lang.String description,
                                 long value)

### getLong

    public static final long getLong(java.util.Properties props,
                                     java.lang.String prefix,
                                     java.lang.String name)

### getDouble

    public static final double getDouble(java.util.Properties props,
                                         java.lang.String prefix,
                                         java.lang.String name)